> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitpayapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Webhook Events

> List all registered webhook event subscriptions



## OpenAPI

````yaml get /v1/webhook-events
openapi: 3.1.1
info:
  title: HitPay API
  description: >-
    Accept PayNow, FPX, QRIS, GrabPay, cards, and 40+ payment methods with a
    single API. Production base URL: https://api.hit-pay.com, Sandbox:
    https://api.sandbox.hit-pay.com
  version: '1.0'
servers:
  - url: https://api.hit-pay.com
    description: Production
  - url: https://api.sandbox.hit-pay.com
    description: Sandbox
security: []
paths:
  /v1/webhook-events:
    get:
      summary: Get All Webhook Events
      description: >-
        This endpoint allows you to get all webhook events. The webhook event
        will listen to the event types that you specify and send a POST request
        to the URL that you specify.
      operationId: get-webhook-events-list
      parameters:
        - name: X-BUSINESS-API-KEY
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
            example: b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    business_id:
                      type: string
                    name:
                      type: string
                    url:
                      type: string
                    event_types:
                      type: array
                      items:
                        type: string
                    created_at:
                      type: string
                    updated_at:
                      type: string
                  required:
                    - id
                    - business_id
                    - name
                    - url
                    - event_types
                    - created_at
                    - updated_at
      deprecated: false

````